Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.hql
Class ParamTypeAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.makumba.providers.query.hql.ExprTypeAST
                  org.makumba.providers.query.hql.ParamTypeAST

All Implemented Interfaces:
  antlr.collections.AST, Serializable

    public class ParamTypeAST

extends ExprTypeAST

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.providers.query.hql.ExprTypeAST
`BOOLEAN, dataType, DATE, DOUBLE, FLOAT, INT, LONG, LONGSTRING, NULL, PARAMETER, STRING`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ParamTypeAST(int type, String name)`

Method Summary
`int` | `getDataType()`

Methods inherited from class org.makumba.providers.query.hql.ExprTypeAST
`getDescription, getExtraTypeInfo, getIdentifier, getObjectType, getText, setDataType, setDescription, setExtraTypeInfo, setIdentifier`

Methods inherited from class antlr.CommonAST
`getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParamTypeAST

    public ParamTypeAST(int type,
                        String name)

Method Detail

### getDataType

    public int getDataType()

  Overrides:
    `getDataType` in class `ExprTypeAST`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20